part of masamune;

class PlatfromAppLayout extends HookWidget {
  const PlatfromAppLayout({required this.builder, required this.initialPath});

  final String initialPath;
  final Widget Function(BuildContext context, NavigatorController controller)
      builder;
  @override
  Widget build(BuildContext context) {
    final controller = useNavigatorController(initialPath);

    return CMSLayout(
      sideBorder: const BorderSide(),
      leftBar: builder.call(context, controller),
      child: InlinePageBuilder(controller: controller),
    );
  }
}
